/*********************************************
* Author: Eric Z. Ayers
* This program is to test the led connected to
* PA7
* Chip type           : AT TINY 26
* Clock frequency     : 1.000000 MHz
*********************************************/

/*************************************************************************
 *			Macros
 *************************************************************************/


/* Set CPU frequency for libc routines and macros */
#define F_CPU 1000000UL  // 1 MHz
//#define F_CPU 14.7456E6
//#define F_CPU 4000000UL  // 4 MHz

/*************************************************************************
 *			Include Files
 *************************************************************************/

#include <io.h>
#include <avr/delay.h>

/*************************************************************************
 *			Static Data
 *************************************************************************/


/*************************************************************************
 *			Functions
 *************************************************************************/

/* Delay using the avr libc delay functions */
void delay_ms (uint16_t ms)
{
	for (;ms>0;ms--)
		_delay_ms(1);
}


int main(void)
{
	/* INITIALIZE */

	/* Set port B to all outputs and put them low (includes HBRIDGE input) */
	DDRB = 0x0;
	PORTB = 0x0;
	
	/* enable PA7 as output */
	DDRA |= _BV(PA7);
	
	
	/* BLINK, BLINK ... */
	
	while (1)
	{
		int i;
		for (i=0;i<100;i++)
		{
			/* led on, pin=0 */
			PORTA&= ~_BV(PA7);
			delay_ms(i);
			/* set output to 5V, LED off */
			PORTA|= _BV(PA7);
			delay_ms(10*i);
		}

	}
}

